# Copyright (C) 2018 DataArt
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# =============================================================================


class TransportError(IOError):
    pass


class ResponseMessageError(TransportError):
    pass


class TokenError(TransportError):
    pass


class AuthApiError(TokenError):

    def __init__(self, code, message):
        self.code = code
        message = 'Code: %s Message %s' % (code, message)
        super(AuthApiError, self).__init__(message)
